Package com.xebialabs.xlrelease.configuration

## Enum CustomLogoContentType

- java.lang.Object
- - java.lang.Enum<CustomLogoContentType>
  - - com.xebialabs.xlrelease.configuration.CustomLogoContentType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CustomLogoContentType>`

      public enum CustomLogoContentType
      extends java.lang.Enum<CustomLogoContentType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IMAGE_GIF` |
    `IMAGE_JPEG` |
    `IMAGE_PNG` |
    `IMAGE_SVG_XML` |
    `IMAGE_TIFF` |
    `IMAGE_VND_MICROSOFT_ICON` |
    `IMAGE_X_ICON` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.util.List<java.lang.String>` | `getAllTypes()` |
    `static java.util.List<java.lang.String>` | `getBrowserTypes()` |
    `java.lang.String` | `value()` |
    `static CustomLogoContentType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CustomLogoContentType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMAGE_GIF

          public static final CustomLogoContentType IMAGE_GIF

    - #### IMAGE_JPEG

          public static final CustomLogoContentType IMAGE_JPEG

    - #### IMAGE_PNG

          public static final CustomLogoContentType IMAGE_PNG

    - #### IMAGE_SVG_XML

          public static final CustomLogoContentType IMAGE_SVG_XML

    - #### IMAGE_TIFF

          public static final CustomLogoContentType IMAGE_TIFF

    - #### IMAGE_X_ICON

          public static final CustomLogoContentType IMAGE_X_ICON

    - #### IMAGE_VND_MICROSOFT_ICON

          public static final CustomLogoContentType IMAGE_VND_MICROSOFT_ICON

  - ### Method Detail

    - #### values

          public static CustomLogoContentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CustomLogoContentType c : CustomLogoContentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CustomLogoContentType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### getAllTypes

          public static java.util.List<java.lang.String> getAllTypes()

    - #### getBrowserTypes

          public static java.util.List<java.lang.String> getBrowserTypes()